## ros-noetic-cmvision 0.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(cmvision)

find_package(catkin REQUIRED 
  COMPONENTS 
  cv_bridge
  message_generation
  roscpp
  sensor_msgs
  std_msgs
)

add_message_files(
  FILES
  Blob.msg
  Blobs.msg
)

# Generate added messages and services with any dependencies listed here
generate_messages(
  DEPENDENCIES
  std_msgs
)

catkin_package(CATKIN_DEPENDS message_runtime std_msgs)

include_directories(
  ${catkin_INCLUDE_DIRS}
  include
)

find_package(wxWidgets REQUIRED)
include(${wxWidgets_USE_FILE})
include_directories(${wxWidgets_INCLUDE_DIRS})

find_package(OpenCV REQUIRED)
include_directories(${OpenCV_INCLUDE_DIRS})

add_executable(cmvision
	src/cmvision.cc
	src/conversions.c
	src/cmvision_color_blob_finder.cpp
	src/main.cpp
)
add_dependencies(cmvision
  cmvision_gencpp
)
target_link_libraries(cmvision 
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)

add_executable(colorgui
	src/cmvision.cc
	src/conversions.c
	src/color_gui.cpp
)
target_link_libraries(colorgui 
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
  ${wxWidgets_LIBRARIES}
)

# Mark executables and/or libraries for installation
install(TARGETS cmvision colorgui
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY launch/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/launch
)
install(DIRECTORY config/
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config
)

=== debian/changelog ===
ros-noetic-cmvision (0.5.0-2buster) buster; urgency=high

  * Updated cmvision for OpenCV4 and ros-noetic

 -- Piyush Khandelwal <piyushk@gmail.com>  Sun, 22 Aug 2021 18:30:00 -0000

ros-noetic-cmvision (0.4.1-2buster) buster; urgency=high

  * fixed missing fltk dependency. closes #1 <https://github.com/utexas-bwi/cmvision/issues/1>

 -- Piyush Khandelwal <piyushk@gmail.com>  Mon, 02 Sep 2013 18:30:00 -0000

ros-noetic-cmvision (0.4.0-2buster) buster; urgency=high

  * Ported cmvision to github from  wg-ros-pkg
  * Catkinized for release into ROS Hydro

 -- Piyush Khandelwal <piyushk@gmail.com>  Thu, 29 Aug 2013 18:30:00 -0000

=== debian/control ===
Source: ros-noetic-cmvision
Section: misc
Priority: optional
Maintainer: Piyush Khandelwal <piyushk@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libfltk1.1-dev, libwxgtk3.0-dev, ros-noetic-catkin, ros-noetic-cv-bridge, ros-noetic-message-generation, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Homepage: http://ros.org/wiki/cmvision
Standards-Version: 3.9.2

Package: ros-noetic-cmvision
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libfltk1.1-dev, libwxgtk3.0-dev, ros-noetic-cv-bridge, ros-noetic-message-runtime, ros-noetic-roscpp, ros-noetic-sensor-msgs, ros-noetic-std-msgs
Description: Node for the Color Machine Vision Project, used for fast color blob detection

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-cmvision//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
